Bug 55036 - (SCSI FDOMAIN)Sun SCSI CDROM model 411 not working
(SCSI FDOMAIN)Sun SCSI CDROM model 411 not working
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-24 14:10 EDT by Martin Pineault
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Pineault 2001-10-24 14:10:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.2)
Gecko/20010726 Netscape6/6.1

Description of problem:
Probing take about 3 minutes to detect both (or only one) Sun CDROM (in
fact they are repackeged Sony CDU-8012).  But they find them correctly. 
Then I'm unable to mount them.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start linux
2.login
3.insert a good cdrom disk iwith caddy
4.mount -t iso9660 /dev/sr0 /mnt/cdrom0


Actual Results:  scsi: <fdomain> REQUEST SENSE Key = 2, Code = 3a,
Qualifier = 0
scsi: <fdomain> REQUEST SENSE Key = 2, Code = 3a, Qualifier = 0
scsi: <fdomain> REQUEST SENSE Key = 2, Code = 3a, Qualifier = 0
scsi: <fdomain> REQUEST SENSE Key = 2, Code = 3a, Qualifier = 0
scsi: <fdomain> REQUEST SENSE Key = 2, Code = 3a, Qualifier = 0
sr0: CDROM not ready.  Make sure there is a disc in the drive.
cdrom: open failed.

or

Attached scsi CD-ROM sr0 at scsi0, channel 0, id 6, lun 0
sr0: scsi-1 drive
scsi: <fdomain> REQUEST SENSE Key = 2, Code = 57, Qualifier = 0
scsi: <fdomain> REQUEST SENSE Key = 2, Code = 57, Qualifier = 0
sr0: CDROM not ready.  Make sure there is a disc in the drive.
cdrom: open failed.


Expected Results:  to be mounted

Additional info:

I know that those CDROM are in the SCSI BLACKLIST for NOLUN.
Comment 1 Bernhard Rosenkraenzer 2001-10-30 08:14:03 EST
Either a hardware problem or a kernel problem. Reassigning.
Comment 2 Bernhard Rosenkraenzer 2001-10-30 08:15:09 EST
Which scsi hostadapter are you using, btw?
Comment 3 Martin Pineault 2001-10-30 08:38:03 EST
Futur Domain (FDomain) TMC-18C30, from boot message;

scsi0: <fdomain> BIOS version 3.5 at 0xc8000 using scsi id 7
scsi0: <fdomain> TMC-18C30 chip at 0x140 irq 11
scsi0 : Future Domain 16-bit SCSI Driver Version 5.50

MPLT
Comment 4 Bugzilla owner 2004-09-30 11:39:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.